Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | List of all members
CalculatorNode Class Reference

演算ノードを表すクラス More...

Inheritance diagram for CalculatorNode:

## Public Member Functions
Object | GetObject ()
| 割り当てているCalculatorのObjectを取得。 More...
| CalculatorNode (NodeGraph nodeGraph, int nodeID, System.Type calculatorType)
| CalculatorNodeのコンストラクタ More...
Calculator | CreateCalculator (System.Type calculatorType)
| Calculatorを作成する。エディタで使用する。 More...
override bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
virtual string | GetName ()
| ノードの名前を取得 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Protected Member Functions
override void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...

## Properties
int | calculatorID`[get]`
| 演算ノードIDを取得。 More...
Calculator | calculator`[get]`
| 割り当てているCalculatorを取得。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Additional Inherited Members
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Detailed Description

演算ノードを表すクラス

## Constructor & Destructor Documentation

CalculatorNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID,
|  | System.Type | calculatorType
| ) |  |

CalculatorNodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID
  calculatorType | Calculatorの型

演算ノードの生成はNodeGraph.CreateCalculator(System.Type)を使用してください。

## Member Function Documentation

Calculator CreateCalculator | ( | System.Type | calculatorType | ) |

Calculatorを作成する。エディタで使用する。

Object GetObject | ( |  | ) |

割り当てているCalculatorのObjectを取得。

Returns
  割り当てているCalculatorのObject

override bool IsContainsBehaviour | ( | NodeBehaviour | behaviour | ) |
| virtual

NodeBehaviourを含んでいるかをチェックする。

Parameters

  behaviour | チェックするNodeBehaviour

Returns
  NodeBehaviourを含んでいる場合にtrueを返す。

Reimplemented from Node.

override void OnGraphChanged | ( |  | ) |
| protected virtual

Nodeが所属するNodeGraphが変わった際に呼ばれる。

Reimplemented from Node.

## Property Documentation

Calculator calculator
| get

割り当てているCalculatorを取得。

int calculatorID
| get

演算ノードIDを取得。